Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class Qt.Key

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.Qt.Key

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing interface:
  Qt

    public static final class Qt.Key

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static Qt.Key` | `Key_0`
`static Qt.Key` | `Key_1`
`static Qt.Key` | `Key_2`
`static Qt.Key` | `Key_3`
`static Qt.Key` | `Key_4`
`static Qt.Key` | `Key_5`
`static Qt.Key` | `Key_6`
`static Qt.Key` | `Key_7`
`static Qt.Key` | `Key_8`
`static Qt.Key` | `Key_9`
`static Qt.Key` | `Key_A`
`static Qt.Key` | `Key_Aacute`
`static Qt.Key` | `Key_Acircumflex`
`static Qt.Key` | `Key_acute`
`static Qt.Key` | `Key_Adiaeresis`
`static Qt.Key` | `Key_AE`
`static Qt.Key` | `Key_Agrave`
`static Qt.Key` | `Key_Alt`
`static Qt.Key` | `Key_AltGr`
`static Qt.Key` | `Key_Ampersand`
`static Qt.Key` | `Key_Apostrophe`
`static Qt.Key` | `Key_Aring`
`static Qt.Key` | `Key_AsciiCircum`
`static Qt.Key` | `Key_AsciiTilde`
`static Qt.Key` | `Key_Asterisk`
`static Qt.Key` | `Key_At`
`static Qt.Key` | `Key_Atilde`
`static Qt.Key` | `Key_B`
`static Qt.Key` | `Key_Back`
`static Qt.Key` | `Key_Backslash`
`static Qt.Key` | `Key_Backspace`
`static Qt.Key` | `Key_Backtab`
`static Qt.Key` | `Key_Bar`
`static Qt.Key` | `Key_BassBoost`
`static Qt.Key` | `Key_BassDown`
`static Qt.Key` | `Key_BassUp`
`static Qt.Key` | `Key_BraceLeft`
`static Qt.Key` | `Key_BraceRight`
`static Qt.Key` | `Key_BracketLeft`
`static Qt.Key` | `Key_BracketRight`
`static Qt.Key` | `Key_brokenbar`
`static Qt.Key` | `Key_C`
`static Qt.Key` | `Key_Call`
`static Qt.Key` | `Key_Cancel`
`static Qt.Key` | `Key_CapsLock`
`static Qt.Key` | `Key_Ccedilla`
`static Qt.Key` | `Key_cedilla`
`static Qt.Key` | `Key_cent`
`static Qt.Key` | `Key_Clear`
`static Qt.Key` | `Key_Codeinput`
`static Qt.Key` | `Key_Colon`
`static Qt.Key` | `Key_Comma`
`static Qt.Key` | `Key_Context1`
`static Qt.Key` | `Key_Context2`
`static Qt.Key` | `Key_Context3`
`static Qt.Key` | `Key_Context4`
`static Qt.Key` | `Key_Control` On Mac OS X, this corresponds to the Command keys.
`static Qt.Key` | `Key_copyright`
`static Qt.Key` | `Key_currency`
`static Qt.Key` | `Key_D`
`static Qt.Key` | `Key_Dead_Abovedot`
`static Qt.Key` | `Key_Dead_Abovering`
`static Qt.Key` | `Key_Dead_Acute`
`static Qt.Key` | `Key_Dead_Belowdot`
`static Qt.Key` | `Key_Dead_Breve`
`static Qt.Key` | `Key_Dead_Caron`
`static Qt.Key` | `Key_Dead_Cedilla`
`static Qt.Key` | `Key_Dead_Circumflex`
`static Qt.Key` | `Key_Dead_Diaeresis`
`static Qt.Key` | `Key_Dead_Doubleacute`
`static Qt.Key` | `Key_Dead_Grave`
`static Qt.Key` | `Key_Dead_Hook`
`static Qt.Key` | `Key_Dead_Horn`
`static Qt.Key` | `Key_Dead_Iota`
`static Qt.Key` | `Key_Dead_Macron`
`static Qt.Key` | `Key_Dead_Ogonek`
`static Qt.Key` | `Key_Dead_Semivoiced_Sound`
`static Qt.Key` | `Key_Dead_Tilde`
`static Qt.Key` | `Key_Dead_Voiced_Sound`
`static Qt.Key` | `Key_degree`
`static Qt.Key` | `Key_Delete`
`static Qt.Key` | `Key_diaeresis`
`static Qt.Key` | `Key_Direction_L`
`static Qt.Key` | `Key_Direction_R`
`static Qt.Key` | `Key_division`
`static Qt.Key` | `Key_Dollar`
`static Qt.Key` | `Key_Down`
`static Qt.Key` | `Key_E`
`static Qt.Key` | `Key_Eacute`
`static Qt.Key` | `Key_Ecircumflex`
`static Qt.Key` | `Key_Ediaeresis`
`static Qt.Key` | `Key_Egrave`
`static Qt.Key` | `Key_Eisu_Shift`
`static Qt.Key` | `Key_Eisu_toggle`
`static Qt.Key` | `Key_End`
`static Qt.Key` | `Key_Enter` Typically located on the keypad.
`static Qt.Key` | `Key_Equal`
`static Qt.Key` | `Key_Escape`
`static Qt.Key` | `Key_ETH`
`static Qt.Key` | `Key_Exclam`
`static Qt.Key` | `Key_exclamdown`
`static Qt.Key` | `Key_Execute`
`static Qt.Key` | `Key_F`
`static Qt.Key` | `Key_F1`
`static Qt.Key` | `Key_F10`
`static Qt.Key` | `Key_F11`
`static Qt.Key` | `Key_F12`
`static Qt.Key` | `Key_F13`
`static Qt.Key` | `Key_F14`
`static Qt.Key` | `Key_F15`
`static Qt.Key` | `Key_F16`
`static Qt.Key` | `Key_F17`
`static Qt.Key` | `Key_F18`
`static Qt.Key` | `Key_F19`
`static Qt.Key` | `Key_F2`
`static Qt.Key` | `Key_F20`
`static Qt.Key` | `Key_F21`
`static Qt.Key` | `Key_F22`
`static Qt.Key` | `Key_F23`
`static Qt.Key` | `Key_F24`
`static Qt.Key` | `Key_F25`
`static Qt.Key` | `Key_F26`
`static Qt.Key` | `Key_F27`
`static Qt.Key` | `Key_F28`
`static Qt.Key` | `Key_F29`
`static Qt.Key` | `Key_F3`
`static Qt.Key` | `Key_F30`
`static Qt.Key` | `Key_F31`
`static Qt.Key` | `Key_F32`
`static Qt.Key` | `Key_F33`
`static Qt.Key` | `Key_F34`
`static Qt.Key` | `Key_F35`
`static Qt.Key` | `Key_F4`
`static Qt.Key` | `Key_F5`
`static Qt.Key` | `Key_F6`
`static Qt.Key` | `Key_F7`
`static Qt.Key` | `Key_F8`
`static Qt.Key` | `Key_F9`
`static Qt.Key` | `Key_Favorites`
`static Qt.Key` | `Key_Flip`
`static Qt.Key` | `Key_Forward`
`static Qt.Key` | `Key_G`
`static Qt.Key` | `Key_Greater`
`static Qt.Key` | `Key_guillemotleft`
`static Qt.Key` | `Key_guillemotright`
`static Qt.Key` | `Key_H`
`static Qt.Key` | `Key_Hangul`
`static Qt.Key` | `Key_Hangul_Banja`
`static Qt.Key` | `Key_Hangul_End`
`static Qt.Key` | `Key_Hangul_Hanja`
`static Qt.Key` | `Key_Hangul_Jamo`
`static Qt.Key` | `Key_Hangul_Jeonja`
`static Qt.Key` | `Key_Hangul_PostHanja`
`static Qt.Key` | `Key_Hangul_PreHanja`
`static Qt.Key` | `Key_Hangul_Romaja`
`static Qt.Key` | `Key_Hangul_Special`
`static Qt.Key` | `Key_Hangul_Start`
`static Qt.Key` | `Key_Hangup`
`static Qt.Key` | `Key_Hankaku`
`static Qt.Key` | `Key_Help`
`static Qt.Key` | `Key_Henkan`
`static Qt.Key` | `Key_Hiragana`
`static Qt.Key` | `Key_Hiragana_Katakana`
`static Qt.Key` | `Key_Home`
`static Qt.Key` | `Key_HomePage`
`static Qt.Key` | `Key_Hyper_L`
`static Qt.Key` | `Key_Hyper_R`
`static Qt.Key` | `Key_hyphen`
`static Qt.Key` | `Key_I`
`static Qt.Key` | `Key_Iacute`
`static Qt.Key` | `Key_Icircumflex`
`static Qt.Key` | `Key_Idiaeresis`
`static Qt.Key` | `Key_Igrave`
`static Qt.Key` | `Key_Insert`
`static Qt.Key` | `Key_J`
`static Qt.Key` | `Key_K`
`static Qt.Key` | `Key_Kana_Lock`
`static Qt.Key` | `Key_Kana_Shift`
`static Qt.Key` | `Key_Kanji`
`static Qt.Key` | `Key_Katakana`
`static Qt.Key` | `Key_L`
`static Qt.Key` | `Key_Launch0`
`static Qt.Key` | `Key_Launch1`
`static Qt.Key` | `Key_Launch2`
`static Qt.Key` | `Key_Launch3`
`static Qt.Key` | `Key_Launch4`
`static Qt.Key` | `Key_Launch5`
`static Qt.Key` | `Key_Launch6`
`static Qt.Key` | `Key_Launch7`
`static Qt.Key` | `Key_Launch8`
`static Qt.Key` | `Key_Launch9`
`static Qt.Key` | `Key_LaunchA`
`static Qt.Key` | `Key_LaunchB`
`static Qt.Key` | `Key_LaunchC`
`static Qt.Key` | `Key_LaunchD`
`static Qt.Key` | `Key_LaunchE`
`static Qt.Key` | `Key_LaunchF`
`static Qt.Key` | `Key_LaunchMail`
`static Qt.Key` | `Key_LaunchMedia`
`static Qt.Key` | `Key_Left`
`static Qt.Key` | `Key_Less`
`static Qt.Key` | `Key_M`
`static Qt.Key` | `Key_macron`
`static Qt.Key` | `Key_masculine`
`static Qt.Key` | `Key_Massyo`
`static Qt.Key` | `Key_MediaLast`
`static Qt.Key` | `Key_MediaNext`
`static Qt.Key` | `Key_MediaPlay`
`static Qt.Key` | `Key_MediaPrevious`
`static Qt.Key` | `Key_MediaRecord`
`static Qt.Key` | `Key_MediaStop`
`static Qt.Key` | `Key_Menu`
`static Qt.Key` | `Key_Meta` On Mac OS X, this corresponds to the Control keys.
`static Qt.Key` | `Key_Minus`
`static Qt.Key` | `Key_Mode_switch`
`static Qt.Key` | `Key_mu`
`static Qt.Key` | `Key_Muhenkan`
`static Qt.Key` | `Key_Multi_key`
`static Qt.Key` | `Key_MultipleCandidate`
`static Qt.Key` | `Key_multiply`
`static Qt.Key` | `Key_N`
`static Qt.Key` | `Key_No`
`static Qt.Key` | `Key_nobreakspace`
`static Qt.Key` | `Key_notsign`
`static Qt.Key` | `Key_Ntilde`
`static Qt.Key` | `Key_NumberSign`
`static Qt.Key` | `Key_NumLock`
`static Qt.Key` | `Key_O`
`static Qt.Key` | `Key_Oacute`
`static Qt.Key` | `Key_Ocircumflex`
`static Qt.Key` | `Key_Odiaeresis`
`static Qt.Key` | `Key_Ograve`
`static Qt.Key` | `Key_onehalf`
`static Qt.Key` | `Key_onequarter`
`static Qt.Key` | `Key_onesuperior`
`static Qt.Key` | `Key_Ooblique`
`static Qt.Key` | `Key_OpenUrl`
`static Qt.Key` | `Key_ordfeminine`
`static Qt.Key` | `Key_Otilde`
`static Qt.Key` | `Key_P`
`static Qt.Key` | `Key_PageDown`
`static Qt.Key` | `Key_PageUp`
`static Qt.Key` | `Key_paragraph`
`static Qt.Key` | `Key_ParenLeft`
`static Qt.Key` | `Key_ParenRight`
`static Qt.Key` | `Key_Pause`
`static Qt.Key` | `Key_Percent`
`static Qt.Key` | `Key_Period`
`static Qt.Key` | `Key_periodcentered`
`static Qt.Key` | `Key_Play`
`static Qt.Key` | `Key_Plus`
`static Qt.Key` | `Key_plusminus`
`static Qt.Key` | `Key_PreviousCandidate`
`static Qt.Key` | `Key_Print`
`static Qt.Key` | `Key_Printer`
`static Qt.Key` | `Key_Q`
`static Qt.Key` | `Key_Question`
`static Qt.Key` | `Key_questiondown`
`static Qt.Key` | `Key_QuoteDbl`
`static Qt.Key` | `Key_QuoteLeft`
`static Qt.Key` | `Key_R`
`static Qt.Key` | `Key_Refresh`
`static Qt.Key` | `Key_registered`
`static Qt.Key` | `Key_Return`
`static Qt.Key` | `Key_Right`
`static Qt.Key` | `Key_Romaji`
`static Qt.Key` | `Key_S`
`static Qt.Key` | `Key_ScrollLock`
`static Qt.Key` | `Key_Search`
`static Qt.Key` | `Key_section`
`static Qt.Key` | `Key_Select`
`static Qt.Key` | `Key_Semicolon`
`static Qt.Key` | `Key_Shift`
`static Qt.Key` | `Key_SingleCandidate`
`static Qt.Key` | `Key_Slash`
`static Qt.Key` | `Key_Sleep`
`static Qt.Key` | `Key_Space`
`static Qt.Key` | `Key_ssharp`
`static Qt.Key` | `Key_Standby`
`static Qt.Key` | `Key_sterling`
`static Qt.Key` | `Key_Stop`
`static Qt.Key` | `Key_Super_L`
`static Qt.Key` | `Key_Super_R`
`static Qt.Key` | `Key_SysReq`
`static Qt.Key` | `Key_T`
`static Qt.Key` | `Key_Tab`
`static Qt.Key` | `Key_THORN`
`static Qt.Key` | `Key_threequarters`
`static Qt.Key` | `Key_threesuperior`
`static Qt.Key` | `Key_Touroku`
`static Qt.Key` | `Key_TrebleDown`
`static Qt.Key` | `Key_TrebleUp`
`static Qt.Key` | `Key_twosuperior`
`static Qt.Key` | `Key_U`
`static Qt.Key` | `Key_Uacute`
`static Qt.Key` | `Key_Ucircumflex`
`static Qt.Key` | `Key_Udiaeresis`
`static Qt.Key` | `Key_Ugrave`
`static Qt.Key` | `Key_Underscore`
`static Qt.Key` | `Key_unknown`
`static Qt.Key` | `Key_Up`
`static Qt.Key` | `Key_V`
`static Qt.Key` | `Key_VolumeDown`
`static Qt.Key` | `Key_VolumeMute`
`static Qt.Key` | `Key_VolumeUp`
`static Qt.Key` | `Key_W`
`static Qt.Key` | `Key_X`
`static Qt.Key` | `Key_Y`
`static Qt.Key` | `Key_Yacute`
`static Qt.Key` | `Key_ydiaeresis`
`static Qt.Key` | `Key_yen`
`static Qt.Key` | `Key_Yes`
`static Qt.Key` | `Key_Z`
`static Qt.Key` | `Key_Zenkaku`
`static Qt.Key` | `Key_Zenkaku_Hankaku`
`static Qt.Key` | `Key_Zoom`

Method Summary
`static Qt.Key` | `resolve(int value)` Returns the Key constant with the specified `int`.
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Key` | `valueOf(java.lang.String name)`
`static Qt.Key[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### Key_Escape

    public static final Qt.Key Key_Escape

### Key_Tab

    public static final Qt.Key Key_Tab

### Key_Backtab

    public static final Qt.Key Key_Backtab

### Key_Backspace

    public static final Qt.Key Key_Backspace

### Key_Return

    public static final Qt.Key Key_Return

### Key_Enter

    public static final Qt.Key Key_Enter

  Typically located on the keypad.

### Key_Insert

    public static final Qt.Key Key_Insert

### Key_Delete

    public static final Qt.Key Key_Delete

### Key_Pause

    public static final Qt.Key Key_Pause

### Key_Print

    public static final Qt.Key Key_Print

### Key_SysReq

    public static final Qt.Key Key_SysReq

### Key_Clear

    public static final Qt.Key Key_Clear

### Key_Home

    public static final Qt.Key Key_Home

### Key_End

    public static final Qt.Key Key_End

### Key_Left

    public static final Qt.Key Key_Left

### Key_Up

    public static final Qt.Key Key_Up

### Key_Right

    public static final Qt.Key Key_Right

### Key_Down

    public static final Qt.Key Key_Down

### Key_PageUp

    public static final Qt.Key Key_PageUp

### Key_PageDown

    public static final Qt.Key Key_PageDown

### Key_Shift

    public static final Qt.Key Key_Shift

### Key_Control

    public static final Qt.Key Key_Control

  On Mac OS X, this corresponds to the Command keys.

### Key_Meta

    public static final Qt.Key Key_Meta

  On Mac OS X, this corresponds to the Control keys. On Windows keyboards, this key is mapped to the Windows key.

### Key_Alt

    public static final Qt.Key Key_Alt

### Key_CapsLock

    public static final Qt.Key Key_CapsLock

### Key_NumLock

    public static final Qt.Key Key_NumLock

### Key_ScrollLock

    public static final Qt.Key Key_ScrollLock

### Key_F1

    public static final Qt.Key Key_F1

### Key_F2

    public static final Qt.Key Key_F2

### Key_F3

    public static final Qt.Key Key_F3

### Key_F4

    public static final Qt.Key Key_F4

### Key_F5

    public static final Qt.Key Key_F5

### Key_F6

    public static final Qt.Key Key_F6

### Key_F7

    public static final Qt.Key Key_F7

### Key_F8

    public static final Qt.Key Key_F8

### Key_F9

    public static final Qt.Key Key_F9

### Key_F10

    public static final Qt.Key Key_F10

### Key_F11

    public static final Qt.Key Key_F11

### Key_F12

    public static final Qt.Key Key_F12

### Key_F13

    public static final Qt.Key Key_F13

### Key_F14

    public static final Qt.Key Key_F14

### Key_F15

    public static final Qt.Key Key_F15

### Key_F16

    public static final Qt.Key Key_F16

### Key_F17

    public static final Qt.Key Key_F17

### Key_F18

    public static final Qt.Key Key_F18

### Key_F19

    public static final Qt.Key Key_F19

### Key_F20

    public static final Qt.Key Key_F20

### Key_F21

    public static final Qt.Key Key_F21

### Key_F22

    public static final Qt.Key Key_F22

### Key_F23

    public static final Qt.Key Key_F23

### Key_F24

    public static final Qt.Key Key_F24

### Key_F25

    public static final Qt.Key Key_F25

### Key_F26

    public static final Qt.Key Key_F26

### Key_F27

    public static final Qt.Key Key_F27

### Key_F28

    public static final Qt.Key Key_F28

### Key_F29

    public static final Qt.Key Key_F29

### Key_F30

    public static final Qt.Key Key_F30

### Key_F31

    public static final Qt.Key Key_F31

### Key_F32

    public static final Qt.Key Key_F32

### Key_F33

    public static final Qt.Key Key_F33

### Key_F34

    public static final Qt.Key Key_F34

### Key_F35

    public static final Qt.Key Key_F35

### Key_Super_L

    public static final Qt.Key Key_Super_L

### Key_Super_R

    public static final Qt.Key Key_Super_R

### Key_Menu

    public static final Qt.Key Key_Menu

### Key_Hyper_L

    public static final Qt.Key Key_Hyper_L

### Key_Hyper_R

    public static final Qt.Key Key_Hyper_R

### Key_Help

    public static final Qt.Key Key_Help

### Key_Direction_L

    public static final Qt.Key Key_Direction_L

### Key_Direction_R

    public static final Qt.Key Key_Direction_R

### Key_Space

    public static final Qt.Key Key_Space

### Key_Exclam

    public static final Qt.Key Key_Exclam

### Key_QuoteDbl

    public static final Qt.Key Key_QuoteDbl

### Key_NumberSign

    public static final Qt.Key Key_NumberSign

### Key_Dollar

    public static final Qt.Key Key_Dollar

### Key_Percent

    public static final Qt.Key Key_Percent

### Key_Ampersand

    public static final Qt.Key Key_Ampersand

### Key_Apostrophe

    public static final Qt.Key Key_Apostrophe

### Key_ParenLeft

    public static final Qt.Key Key_ParenLeft

### Key_ParenRight

    public static final Qt.Key Key_ParenRight

### Key_Asterisk

    public static final Qt.Key Key_Asterisk

### Key_Plus

    public static final Qt.Key Key_Plus

### Key_Comma

    public static final Qt.Key Key_Comma

### Key_Minus

    public static final Qt.Key Key_Minus

### Key_Period

    public static final Qt.Key Key_Period

### Key_Slash

    public static final Qt.Key Key_Slash

### Key_0

    public static final Qt.Key Key_0

### Key_1

    public static final Qt.Key Key_1

### Key_2

    public static final Qt.Key Key_2

### Key_3

    public static final Qt.Key Key_3

### Key_4

    public static final Qt.Key Key_4

### Key_5

    public static final Qt.Key Key_5

### Key_6

    public static final Qt.Key Key_6

### Key_7

    public static final Qt.Key Key_7

### Key_8

    public static final Qt.Key Key_8

### Key_9

    public static final Qt.Key Key_9

### Key_Colon

    public static final Qt.Key Key_Colon

### Key_Semicolon

    public static final Qt.Key Key_Semicolon

### Key_Less

    public static final Qt.Key Key_Less

### Key_Equal

    public static final Qt.Key Key_Equal

### Key_Greater

    public static final Qt.Key Key_Greater

### Key_Question

    public static final Qt.Key Key_Question

### Key_At

    public static final Qt.Key Key_At

### Key_A

    public static final Qt.Key Key_A

### Key_B

    public static final Qt.Key Key_B

### Key_C

    public static final Qt.Key Key_C

### Key_D

    public static final Qt.Key Key_D

### Key_E

    public static final Qt.Key Key_E

### Key_F

    public static final Qt.Key Key_F

### Key_G

    public static final Qt.Key Key_G

### Key_H

    public static final Qt.Key Key_H

### Key_I

    public static final Qt.Key Key_I

### Key_J

    public static final Qt.Key Key_J

### Key_K

    public static final Qt.Key Key_K

### Key_L

    public static final Qt.Key Key_L

### Key_M

    public static final Qt.Key Key_M

### Key_N

    public static final Qt.Key Key_N

### Key_O

    public static final Qt.Key Key_O

### Key_P

    public static final Qt.Key Key_P

### Key_Q

    public static final Qt.Key Key_Q

### Key_R

    public static final Qt.Key Key_R

### Key_S

    public static final Qt.Key Key_S

### Key_T

    public static final Qt.Key Key_T

### Key_U

    public static final Qt.Key Key_U

### Key_V

    public static final Qt.Key Key_V

### Key_W

    public static final Qt.Key Key_W

### Key_X

    public static final Qt.Key Key_X

### Key_Y

    public static final Qt.Key Key_Y

### Key_Z

    public static final Qt.Key Key_Z

### Key_BracketLeft

    public static final Qt.Key Key_BracketLeft

### Key_Backslash

    public static final Qt.Key Key_Backslash

### Key_BracketRight

    public static final Qt.Key Key_BracketRight

### Key_AsciiCircum

    public static final Qt.Key Key_AsciiCircum

### Key_Underscore

    public static final Qt.Key Key_Underscore

### Key_QuoteLeft

    public static final Qt.Key Key_QuoteLeft

### Key_BraceLeft

    public static final Qt.Key Key_BraceLeft

### Key_Bar

    public static final Qt.Key Key_Bar

### Key_BraceRight

    public static final Qt.Key Key_BraceRight

### Key_AsciiTilde

    public static final Qt.Key Key_AsciiTilde

### Key_nobreakspace

    public static final Qt.Key Key_nobreakspace

### Key_exclamdown

    public static final Qt.Key Key_exclamdown

### Key_cent

    public static final Qt.Key Key_cent

### Key_sterling

    public static final Qt.Key Key_sterling

### Key_currency

    public static final Qt.Key Key_currency

### Key_yen

    public static final Qt.Key Key_yen

### Key_brokenbar

    public static final Qt.Key Key_brokenbar

### Key_section

    public static final Qt.Key Key_section

### Key_diaeresis

    public static final Qt.Key Key_diaeresis

### Key_copyright

    public static final Qt.Key Key_copyright

### Key_ordfeminine

    public static final Qt.Key Key_ordfeminine

### Key_guillemotleft

    public static final Qt.Key Key_guillemotleft

### Key_notsign

    public static final Qt.Key Key_notsign

### Key_hyphen

    public static final Qt.Key Key_hyphen

### Key_registered

    public static final Qt.Key Key_registered

### Key_macron

    public static final Qt.Key Key_macron

### Key_degree

    public static final Qt.Key Key_degree

### Key_plusminus

    public static final Qt.Key Key_plusminus

### Key_twosuperior

    public static final Qt.Key Key_twosuperior

### Key_threesuperior

    public static final Qt.Key Key_threesuperior

### Key_acute

    public static final Qt.Key Key_acute

### Key_mu

    public static final Qt.Key Key_mu

### Key_paragraph

    public static final Qt.Key Key_paragraph

### Key_periodcentered

    public static final Qt.Key Key_periodcentered

### Key_cedilla

    public static final Qt.Key Key_cedilla

### Key_onesuperior

    public static final Qt.Key Key_onesuperior

### Key_masculine

    public static final Qt.Key Key_masculine

### Key_guillemotright

    public static final Qt.Key Key_guillemotright

### Key_onequarter

    public static final Qt.Key Key_onequarter

### Key_onehalf

    public static final Qt.Key Key_onehalf

### Key_threequarters

    public static final Qt.Key Key_threequarters

### Key_questiondown

    public static final Qt.Key Key_questiondown

### Key_Agrave

    public static final Qt.Key Key_Agrave

### Key_Aacute

    public static final Qt.Key Key_Aacute

### Key_Acircumflex

    public static final Qt.Key Key_Acircumflex

### Key_Atilde

    public static final Qt.Key Key_Atilde

### Key_Adiaeresis

    public static final Qt.Key Key_Adiaeresis

### Key_Aring

    public static final Qt.Key Key_Aring

### Key_AE

    public static final Qt.Key Key_AE

### Key_Ccedilla

    public static final Qt.Key Key_Ccedilla

### Key_Egrave

    public static final Qt.Key Key_Egrave

### Key_Eacute

    public static final Qt.Key Key_Eacute

### Key_Ecircumflex

    public static final Qt.Key Key_Ecircumflex

### Key_Ediaeresis

    public static final Qt.Key Key_Ediaeresis

### Key_Igrave

    public static final Qt.Key Key_Igrave

### Key_Iacute

    public static final Qt.Key Key_Iacute

### Key_Icircumflex

    public static final Qt.Key Key_Icircumflex

### Key_Idiaeresis

    public static final Qt.Key Key_Idiaeresis

### Key_ETH

    public static final Qt.Key Key_ETH

### Key_Ntilde

    public static final Qt.Key Key_Ntilde

### Key_Ograve

    public static final Qt.Key Key_Ograve

### Key_Oacute

    public static final Qt.Key Key_Oacute

### Key_Ocircumflex

    public static final Qt.Key Key_Ocircumflex

### Key_Otilde

    public static final Qt.Key Key_Otilde

### Key_Odiaeresis

    public static final Qt.Key Key_Odiaeresis

### Key_multiply

    public static final Qt.Key Key_multiply

### Key_Ooblique

    public static final Qt.Key Key_Ooblique

### Key_Ugrave

    public static final Qt.Key Key_Ugrave

### Key_Uacute

    public static final Qt.Key Key_Uacute

### Key_Ucircumflex

    public static final Qt.Key Key_Ucircumflex

### Key_Udiaeresis

    public static final Qt.Key Key_Udiaeresis

### Key_Yacute

    public static final Qt.Key Key_Yacute

### Key_THORN

    public static final Qt.Key Key_THORN

### Key_ssharp

    public static final Qt.Key Key_ssharp

### Key_division

    public static final Qt.Key Key_division

### Key_ydiaeresis

    public static final Qt.Key Key_ydiaeresis

### Key_AltGr

    public static final Qt.Key Key_AltGr

### Key_Multi_key

    public static final Qt.Key Key_Multi_key

### Key_Codeinput

    public static final Qt.Key Key_Codeinput

### Key_SingleCandidate

    public static final Qt.Key Key_SingleCandidate

### Key_MultipleCandidate

    public static final Qt.Key Key_MultipleCandidate

### Key_PreviousCandidate

    public static final Qt.Key Key_PreviousCandidate

### Key_Mode_switch

    public static final Qt.Key Key_Mode_switch

### Key_Kanji

    public static final Qt.Key Key_Kanji

### Key_Muhenkan

    public static final Qt.Key Key_Muhenkan

### Key_Henkan

    public static final Qt.Key Key_Henkan

### Key_Romaji

    public static final Qt.Key Key_Romaji

### Key_Hiragana

    public static final Qt.Key Key_Hiragana

### Key_Katakana

    public static final Qt.Key Key_Katakana

### Key_Hiragana_Katakana

    public static final Qt.Key Key_Hiragana_Katakana

### Key_Zenkaku

    public static final Qt.Key Key_Zenkaku

### Key_Hankaku

    public static final Qt.Key Key_Hankaku

### Key_Zenkaku_Hankaku

    public static final Qt.Key Key_Zenkaku_Hankaku

### Key_Touroku

    public static final Qt.Key Key_Touroku

### Key_Massyo

    public static final Qt.Key Key_Massyo

### Key_Kana_Lock

    public static final Qt.Key Key_Kana_Lock

### Key_Kana_Shift

    public static final Qt.Key Key_Kana_Shift

### Key_Eisu_Shift

    public static final Qt.Key Key_Eisu_Shift

### Key_Eisu_toggle

    public static final Qt.Key Key_Eisu_toggle

### Key_Hangul

    public static final Qt.Key Key_Hangul

### Key_Hangul_Start

    public static final Qt.Key Key_Hangul_Start

### Key_Hangul_End

    public static final Qt.Key Key_Hangul_End

### Key_Hangul_Hanja

    public static final Qt.Key Key_Hangul_Hanja

### Key_Hangul_Jamo

    public static final Qt.Key Key_Hangul_Jamo

### Key_Hangul_Romaja

    public static final Qt.Key Key_Hangul_Romaja

### Key_Hangul_Jeonja

    public static final Qt.Key Key_Hangul_Jeonja

### Key_Hangul_Banja

    public static final Qt.Key Key_Hangul_Banja

### Key_Hangul_PreHanja

    public static final Qt.Key Key_Hangul_PreHanja

### Key_Hangul_PostHanja

    public static final Qt.Key Key_Hangul_PostHanja

### Key_Hangul_Special

    public static final Qt.Key Key_Hangul_Special

### Key_Dead_Grave

    public static final Qt.Key Key_Dead_Grave

### Key_Dead_Acute

    public static final Qt.Key Key_Dead_Acute

### Key_Dead_Circumflex

    public static final Qt.Key Key_Dead_Circumflex

### Key_Dead_Tilde

    public static final Qt.Key Key_Dead_Tilde

### Key_Dead_Macron

    public static final Qt.Key Key_Dead_Macron

### Key_Dead_Breve

    public static final Qt.Key Key_Dead_Breve

### Key_Dead_Abovedot

    public static final Qt.Key Key_Dead_Abovedot

### Key_Dead_Diaeresis

    public static final Qt.Key Key_Dead_Diaeresis

### Key_Dead_Abovering

    public static final Qt.Key Key_Dead_Abovering

### Key_Dead_Doubleacute

    public static final Qt.Key Key_Dead_Doubleacute

### Key_Dead_Caron

    public static final Qt.Key Key_Dead_Caron

### Key_Dead_Cedilla

    public static final Qt.Key Key_Dead_Cedilla

### Key_Dead_Ogonek

    public static final Qt.Key Key_Dead_Ogonek

### Key_Dead_Iota

    public static final Qt.Key Key_Dead_Iota

### Key_Dead_Voiced_Sound

    public static final Qt.Key Key_Dead_Voiced_Sound

### Key_Dead_Semivoiced_Sound

    public static final Qt.Key Key_Dead_Semivoiced_Sound

### Key_Dead_Belowdot

    public static final Qt.Key Key_Dead_Belowdot

### Key_Dead_Hook

    public static final Qt.Key Key_Dead_Hook

### Key_Dead_Horn

    public static final Qt.Key Key_Dead_Horn

### Key_Back

    public static final Qt.Key Key_Back

### Key_Forward

    public static final Qt.Key Key_Forward

### Key_Stop

    public static final Qt.Key Key_Stop

### Key_Refresh

    public static final Qt.Key Key_Refresh

### Key_VolumeDown

    public static final Qt.Key Key_VolumeDown

### Key_VolumeMute

    public static final Qt.Key Key_VolumeMute

### Key_VolumeUp

    public static final Qt.Key Key_VolumeUp

### Key_BassBoost

    public static final Qt.Key Key_BassBoost

### Key_BassUp

    public static final Qt.Key Key_BassUp

### Key_BassDown

    public static final Qt.Key Key_BassDown

### Key_TrebleUp

    public static final Qt.Key Key_TrebleUp

### Key_TrebleDown

    public static final Qt.Key Key_TrebleDown

### Key_MediaPlay

    public static final Qt.Key Key_MediaPlay

### Key_MediaStop

    public static final Qt.Key Key_MediaStop

### Key_MediaPrevious

    public static final Qt.Key Key_MediaPrevious

### Key_MediaNext

    public static final Qt.Key Key_MediaNext

### Key_MediaRecord

    public static final Qt.Key Key_MediaRecord

### Key_HomePage

    public static final Qt.Key Key_HomePage

### Key_Favorites

    public static final Qt.Key Key_Favorites

### Key_Search

    public static final Qt.Key Key_Search

### Key_Standby

    public static final Qt.Key Key_Standby

### Key_OpenUrl

    public static final Qt.Key Key_OpenUrl

### Key_LaunchMail

    public static final Qt.Key Key_LaunchMail

### Key_LaunchMedia

    public static final Qt.Key Key_LaunchMedia

### Key_Launch0

    public static final Qt.Key Key_Launch0

### Key_Launch1

    public static final Qt.Key Key_Launch1

### Key_Launch2

    public static final Qt.Key Key_Launch2

### Key_Launch3

    public static final Qt.Key Key_Launch3

### Key_Launch4

    public static final Qt.Key Key_Launch4

### Key_Launch5

    public static final Qt.Key Key_Launch5

### Key_Launch6

    public static final Qt.Key Key_Launch6

### Key_Launch7

    public static final Qt.Key Key_Launch7

### Key_Launch8

    public static final Qt.Key Key_Launch8

### Key_Launch9

    public static final Qt.Key Key_Launch9

### Key_LaunchA

    public static final Qt.Key Key_LaunchA

### Key_LaunchB

    public static final Qt.Key Key_LaunchB

### Key_LaunchC

    public static final Qt.Key Key_LaunchC

### Key_LaunchD

    public static final Qt.Key Key_LaunchD

### Key_LaunchE

    public static final Qt.Key Key_LaunchE

### Key_LaunchF

    public static final Qt.Key Key_LaunchF

### Key_MediaLast

    public static final Qt.Key Key_MediaLast

### Key_Select

    public static final Qt.Key Key_Select

### Key_Yes

    public static final Qt.Key Key_Yes

### Key_No

    public static final Qt.Key Key_No

### Key_Cancel

    public static final Qt.Key Key_Cancel

### Key_Printer

    public static final Qt.Key Key_Printer

### Key_Execute

    public static final Qt.Key Key_Execute

### Key_Sleep

    public static final Qt.Key Key_Sleep

### Key_Play

    public static final Qt.Key Key_Play

### Key_Zoom

    public static final Qt.Key Key_Zoom

### Key_Context1

    public static final Qt.Key Key_Context1

### Key_Context2

    public static final Qt.Key Key_Context2

### Key_Context3

    public static final Qt.Key Key_Context3

### Key_Context4

    public static final Qt.Key Key_Context4

### Key_Call

    public static final Qt.Key Key_Call

### Key_Hangup

    public static final Qt.Key Key_Hangup

### Key_Flip

    public static final Qt.Key Key_Flip

### Key_unknown

    public static final Qt.Key Key_unknown

Method Detail

### values

    public static Qt.Key[] values()

### valueOf

    public static Qt.Key valueOf(java.lang.String name)

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Key resolve(int value)

  Returns the Key constant with the specified `int`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD